Build #3 for glirc-2.29

[all reports]

Package glirc-2.29
Install DependencyFailed glirc-2.29
Docs NotTried
Tests NotTried
Time submitted 2018-10-09 17:02:49.905709904 UTC
Compiler ghc-8.4.3
OS linux
Arch x86_64
Dependencies HsOpenSSL-0.11.4.15, async-2.2.1, attoparsec-0.13.2.2, base-4.11.1.0, base64-bytestring-1.0.0.1, bytestring-0.10.8.2, config-schema-0.5.0.1, config-value-0.6.3.1, containers-0.5.11.0, directory-1.3.1.5, filepath-1.4.2, free-5.1, gitrev-1.3.1, hashable-1.2.7.0, hookup-0.2.2, irc-core-2.5.0, kan-extensions-5.2, lens-4.17, network-2.8.0.0, process-1.6.3.0, psqueues-0.2.7.0, regex-tdfa-1.2.3.1, semigroupoids-5.3.1, split-0.2.3.3, stm-2.5.0.0, template-haskell-2.13.0.0, text-1.2.3.0, time-1.8.0.2, transformers-0.5.5.0, unix-2.7.2.2, unordered-containers-0.2.9.0, vector-0.12.0.1, vty-5.24, base-4.11.1.0, lens-4.17, text-1.2.3.0, vty-5.24
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring base-orphans-0.8...
Configuring base-compat-0.10.4...
Building base-orphans-0.8...
Building base-compat-0.10.4...
Installed base-orphans-0.8
Configuring base64-bytestring-1.0.0.1...
Building base64-bytestring-1.0.0.1...
Installed base64-bytestring-1.0.0.1
Configuring blaze-builder-0.4.1.0...
Installed base-compat-0.10.4
Configuring cabal-doctest-1.0.6...
Building blaze-builder-0.4.1.0...
Building cabal-doctest-1.0.6...
Installed cabal-doctest-1.0.6
Configuring call-stack-0.1.0...
Installed blaze-builder-0.4.1.0
Configuring config-value-0.6.3.1...
Building call-stack-0.1.0...
Building config-value-0.6.3.1...
Installed call-stack-0.1.0
Configuring hashable-1.2.7.0...
Building hashable-1.2.7.0...
Installed hashable-1.2.7.0
Configuring integer-logarithms-1.0.2.2...
Building integer-logarithms-1.0.2.2...
Installed config-value-0.6.3.1
Configuring microlens-0.4.9.1...
Building microlens-0.4.9.1...
Installed integer-logarithms-1.0.2.2
Configuring network-2.8.0.0...
Installed microlens-0.4.9.1
Configuring parallel-3.2.2.0...
Building parallel-3.2.2.0...
Building network-2.8.0.0...
Installed parallel-3.2.2.0
Configuring primitive-0.6.4.0...
Building primitive-0.6.4.0...
Installed network-2.8.0.0
Configuring reflection-2.1.4...
Building reflection-2.1.4...
Installed primitive-0.6.4.0
Configuring regex-base-0.93.2...
Installed reflection-2.1.4
Configuring semigroups-0.18.5...
Building regex-base-0.93.2...
Building semigroups-0.18.5...
Installed semigroups-0.18.5
Configuring split-0.2.3.3...
Installed regex-base-0.93.2
Configuring stm-2.5.0.0...
Building split-0.2.3.3...
Building stm-2.5.0.0...
Installed split-0.2.3.3
Configuring tagged-0.8.6...
Building tagged-0.8.6...
Installed stm-2.5.0.0
Configuring th-abstraction-0.2.8.0...
Building th-abstraction-0.2.8.0...
Installed tagged-0.8.6
Configuring transformers-compat-0.6.2...
Building transformers-compat-0.6.2...
Installed th-abstraction-0.2.8.0
Configuring utf8-string-1.0.1.1...
Building utf8-string-1.0.1.1...
Installed transformers-compat-0.6.2
Configuring void-0.7.2...
Building void-0.7.2...
Installed void-0.7.2
Configuring gitrev-1.3.1...
Building gitrev-1.3.1...
Installed utf8-string-1.0.1.1
Configuring unordered-containers-0.2.9.0...
Installed gitrev-1.3.1
Configuring psqueues-0.2.7.0...
Building unordered-containers-0.2.9.0...
Building psqueues-0.2.7.0...
Installed psqueues-0.2.7.0
Configuring HsOpenSSL-0.11.4.15...
Installed unordered-containers-0.2.9.0
Configuring vector-0.12.0.1...
Building HsOpenSSL-0.11.4.15...
Building vector-0.12.0.1...
Installed HsOpenSSL-0.11.4.15
Configuring scientific-0.3.6.2...
Building scientific-0.3.6.2...
Installed scientific-0.3.6.2
Configuring regex-tdfa-1.2.3.1...
Building regex-tdfa-1.2.3.1...
Installed vector-0.12.0.1
Configuring async-2.2.1...
Building async-2.2.1...
Installed async-2.2.1
Configuring StateVar-1.1.1.1...
Building StateVar-1.1.1.1...
Installed StateVar-1.1.1.1
Configuring distributive-0.6...
Installed regex-tdfa-1.2.3.1
Configuring microlens-th-0.4.2.3...
Building microlens-th-0.4.2.3...
Building distributive-0.6...
Installed distributive-0.6
Configuring transformers-base-0.4.5.2...
Installed microlens-th-0.4.2.3
Configuring microlens-mtl-0.1.11.1...
Building transformers-base-0.4.5.2...
Building microlens-mtl-0.1.11.1...
Installed transformers-base-0.4.5.2
Configuring exceptions-0.10.0...
Building exceptions-0.10.0...
Installed microlens-mtl-0.1.11.1
Configuring HsOpenSSL-x509-system-0.1.0.3...
Building HsOpenSSL-x509-system-0.1.0.3...
Installed HsOpenSSL-x509-system-0.1.0.3
Configuring attoparsec-0.13.2.2...
Building attoparsec-0.13.2.2...
Installed exceptions-0.10.0
Configuring contravariant-1.5...
Building contravariant-1.5...
Installed contravariant-1.5
Configuring vty-5.24...
Building vty-5.24...
Installed attoparsec-0.13.2.2
Configuring comonad-5.0.4...
Building comonad-5.0.4...
Installed comonad-5.0.4
Configuring irc-core-2.5.0...
Building irc-core-2.5.0...
Installed irc-core-2.5.0
Configuring hookup-0.2.2...
Building hookup-0.2.2...
Failed to install hookup-0.2.2
Build log ( /home/builder/.cabal/logs/ghc-8.4.3/hookup-0.2.2-6xFfdhmXtGuFQb6LqIKN9d.log ):
cabal: Entering directory '/tmp/cabal-tmp-20811/hookup-0.2.2'
Configuring hookup-0.2.2...
Preprocessing library for hookup-0.2.2..
OpenSSL.hsc:14:2: error: #error "OpenSSL 1.0.2 or later is required. This version was released in Jan 2015 and adds hostname verification"
OpenSSL.hsc: In function ‘main’:
OpenSSL.hsc:14:2: error: #error "OpenSSL 1.0.2 or later is required. This version was released in Jan 2015 and adds hostname verification"
OpenSSL.hsc:14:2: error: #error "OpenSSL 1.0.2 or later is required. This version was released in Jan 2015 and adds hostname verification"
In file included from dist/build/Hookup/OpenSSL_hsc_make.c:1:0:
OpenSSL.hsc:59:16: error: ‘X509_CHECK_FLAG_NO_PARTIAL_WILDCARDS’ undeclared (first use in this function)
/usr/local/haskell/ghc-8.2.2-x86_64/lib/ghc-8.2.2/template-hsc.h:38:10: note: in definition of macro ‘hsc_const’
     if ((x) < 0)                                      \
          ^
OpenSSL.hsc:59:16: note: each undeclared identifier is reported only once for each function it appears in
/usr/local/haskell/ghc-8.2.2-x86_64/lib/ghc-8.2.2/template-hsc.h:38:10: note: in definition of macro ‘hsc_const’
     if ((x) < 0)                                      \
          ^
compiling dist/build/Hookup/OpenSSL_hsc_make.c failed (exit code 1)
command was: /usr/bin/gcc -c dist/build/Hookup/OpenSSL_hsc_make.c -o dist/build/Hookup/OpenSSL_hsc_make.o -std=gnu99 -fno-stack-protector -std=gnu99 -fno-stack-protector -fuse-ld=gold -D__GLASGOW_HASKELL__=804 -Dlinux_BUILD_OS=1 -Dx86_64_BUILD_ARCH=1 -Dlinux_HOST_OS=1 -Dx86_64_HOST_ARCH=1 -Idist/build/autogen -Idist/build/global-autogen -include dist/build/autogen/cabal_macros.h -I/home/builder/hackage-server/build-cache/tmp-install/lib/x86_64-linux-ghc-8.4.3/primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc/include -I/home/builder/hackage-server/build-cache/tmp-install/lib/x86_64-linux-ghc-8.4.3/network-2.8.0.0-JgG270TblsEHkvPEAbLhLE/include -I/opt/ghc/8.4.3/lib/ghc-8.4.3/unix-2.7.2.2/include -I/opt/ghc/8.4.3/lib/ghc-8.4.3/time-1.8.0.2/include -I/opt/ghc/8.4.3/lib/ghc-8.4.3/bytestring-0.10.8.2/include -I/opt/ghc/8.4.3/lib/ghc-8.4.3/base-4.11.1.0/include -I/opt/ghc/8.4.3/lib/ghc-8.4.3/integer-gmp-1.0.2.0/include -I/opt/ghc/8.4.3/lib/ghc-8.4.3/include -I/usr/local/haskell/ghc-8.2.2-x86_64/lib/ghc-8.2.2/include/
cabal: Leaving directory '/tmp/cabal-tmp-20811/hookup-0.2.2'
Configuring bifunctors-5.5.3...
Building bifunctors-5.5.3...
Installed bifunctors-5.5.3
Installed vty-5.24
cabal: Error: some packages failed to install:
glirc-2.29-LaR0GKNkvMdKNEFJwiLUHy depends on glirc-2.29 which failed to
install.
hookup-0.2.2-6xFfdhmXtGuFQb6LqIKN9d failed during the building phase. The
exception was:
ExitFailure 1